lineage
List projected strand edges touching a component.
EXPERIMENTAL. List strand edges touching a component on either side, projected from the edge lifecycle event log. Each active edge is evaluated against both endpoint components’ latest scans: connected when both payload addresses resolve in their roll-ups, pending when a side’s scan carries no strands, dangling when a resolved side no longer exposes the address, deleted when the latest lifecycle event is a deletion.
GET
/
v0
/
experimental
/
component
/
{id}
/
discriminator_edges
List projected strand edges touching a component.
curl --request GET \
--url https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"edges": [
{
"edgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "connected",
"origin": "SCANNER",
"source": {
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"level": "payload",
"ancestors": [
{
"level": "payload",
"coordinates": {}
}
],
"coordinates": {}
},
"destination": {
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"level": "payload",
"ancestors": [
{
"level": "payload",
"coordinates": {}
}
],
"coordinates": {}
},
"fieldMappings": [
{
"sourceFieldPath": "<string>",
"destinationFieldPath": "<string>",
"notes": "<string>",
"dataStoreEvidence": [
{
"derivation": "direct",
"projectionLabel": "<string>",
"applicationFieldPath": "<string>"
}
]
}
],
"sourceGroupId": "<string>",
"destinationGroupId": "<string>",
"note": "<string>",
"sourceDisplay": {
"componentName": "<string>",
"componentType": "CODE",
"payloadLabel": "<string>"
},
"destinationDisplay": {
"componentName": "<string>",
"componentType": "CODE",
"payloadLabel": "<string>"
}
}
],
"invalidEventCount": 123
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}Authorizations
Path Parameters
UUID of the component.
Response
Projected strand edges touching the component.
Strand edges touching a component on either side, projected from the edge lifecycle event log against each endpoint's latest scan.
⌘I
List projected strand edges touching a component.
curl --request GET \
--url https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges \
--header 'X-API-KEY: <api-key>'import requests
url = "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{hostname}.gable.ai/v0/experimental/component/{id}/discriminator_edges")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"edges": [
{
"edgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "connected",
"origin": "SCANNER",
"source": {
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"level": "payload",
"ancestors": [
{
"level": "payload",
"coordinates": {}
}
],
"coordinates": {}
},
"destination": {
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"level": "payload",
"ancestors": [
{
"level": "payload",
"coordinates": {}
}
],
"coordinates": {}
},
"fieldMappings": [
{
"sourceFieldPath": "<string>",
"destinationFieldPath": "<string>",
"notes": "<string>",
"dataStoreEvidence": [
{
"derivation": "direct",
"projectionLabel": "<string>",
"applicationFieldPath": "<string>"
}
]
}
],
"sourceGroupId": "<string>",
"destinationGroupId": "<string>",
"note": "<string>",
"sourceDisplay": {
"componentName": "<string>",
"componentType": "CODE",
"payloadLabel": "<string>"
},
"destinationDisplay": {
"componentName": "<string>",
"componentType": "CODE",
"payloadLabel": "<string>"
}
}
],
"invalidEventCount": 123
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}{
"message": "<string>",
"id": 123,
"title": "<string>"
}